For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
      • GETGet tax rates
      • POSTCreate a tax rate
      • GETGet a tax rate by ID
      • DELDelete a tax rate
      • PATCHUpdate a tax rate
  • Utilities
LogoLogo
API StatusPartner Portal
Expense managementAccounting tax rates

Delete a tax rate

DELETE
/accounting_tax_rates/:tax_rate_id
DELETE
/v1/accounting_tax_rates/:tax_rate_id
$curl -X DELETE https://api.sandbox.monite.com/v1/accounting_tax_rates/tax_rate_id \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
Only tax rates that were manually added by the entity (as indicated by `is_external` = `false`) can be deleted. Tax rates fetched from accounting systems as part of the [accounting integration](https://docs.monite.com/accounting/integration/index) (indicated by `is_external` = `true`) cannot be deleted.
Was this page helpful?
Previous

Update a tax rate

Next
Built with

Only tax rates that were manually added by the entity (as indicated by is_external = false) can be deleted.

Tax rates fetched from accounting systems as part of the accounting integration (indicated by is_external = true) cannot be deleted.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tax_rate_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Errors

400
Delete Accounting Tax Rates ID Request Bad Request Error
401
Delete Accounting Tax Rates ID Request Unauthorized Error
403
Delete Accounting Tax Rates ID Request Forbidden Error
404
Delete Accounting Tax Rates ID Request Not Found Error
409
Delete Accounting Tax Rates ID Request Conflict Error
422
Delete Accounting Tax Rates ID Request Unprocessable Entity Error
429
Delete Accounting Tax Rates ID Request Too Many Requests Error